# isolation.hxx File Reference

`#include "pqxx/compiler-public.hxx"`
`#include "pqxx/compiler-internal-pre.hxx"`
`#include "pqxx/util"`
`#include "pqxx/compiler-internal-post.hxx"`

Include dependency graph for isolation.hxx:

Go to the source code of this file.

## Namespaces

namespace | pqxx

## Classes

struct | pqxx::isolation_traits< LEVEL >
| Traits class to describe an isolation level; primarly for libpqxx's own use. More...

## Enumerations

enum | pqxx::isolation_level { pqxx::read_committed, pqxx::serializable }
| Transaction isolation levels; PostgreSQL doesn't implement all SQL levels. More...